package com.yihu.jw.entity.base.patient;

import com.yihu.jw.entity.IntegerIdentityEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;


/**
 * 帮助中心实体
 * 
 * @author Administrator on  2018年11月27日
 *
 */
@Entity
@Table(name = "help_center")
@SequenceGenerator(name="id_generated", sequenceName="HELP_CENTER_SEQ")
public class HelpCenterDO extends IntegerIdentityEntity {

    /**
	 * 问题大类（账号问题，续方问题，操作问题）
	 */
	private String parentType;

    /**
	 * 问题小类（账号被锁问题，身份证占用问题等等）
	 */
	private String type;

    /**
	 * 问题描述
	 */
	private String question;

    /**
	 * 问题回答
	 */
	private String answer;

    /**
	 * 有用次数
	 */
	private Integer usefulCount;

    /**
	 * 无用次数
	 */
	private Integer unusefulCount;


	@Column(name = "parent_type")
    public String getParentType() {
        return parentType;
    }
    public void setParentType(String parentType) {
        this.parentType = parentType;
    }

	@Column(name = "type")
    public String getType() {
        return type;
    }
    public void setType(String type) {
        this.type = type;
    }

	@Column(name = "question")
    public String getQuestion() {
        return question;
    }
    public void setQuestion(String question) {
        this.question = question;
    }

	@Column(name = "answer")
    public String getAnswer() {
        return answer;
    }
    public void setAnswer(String answer) {
        this.answer = answer;
    }

	@Column(name = "useful_count")
    public Integer getUsefulCount() {
        return usefulCount;
    }
    public void setUsefulCount(Integer usefulCount) {
        this.usefulCount = usefulCount;
    }

	@Column(name = "unuseful_count")
    public Integer getUnusefulCount() {
        return unusefulCount;
    }
    public void setUnusefulCount(Integer unusefulCount) {
        this.unusefulCount = unusefulCount;
    }



}